package com.njcn.product.system.theme.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.njcn.product.system.theme.pojo.po.Function;
import com.njcn.product.system.theme.pojo.vo.FunctionVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author hongawen
 * @since 2021-12-13
 */
public interface FunctionMapper extends BaseMapper<Function> {

    List<FunctionVO> getAllFunctions();

    List<FunctionVO> getFunctionsByList(@Param("list")List<String> functionList);

    List<FunctionVO> getUserFunctionsByList(@Param("list")List<String> functionList);

    List<FunctionVO> getByList(@Param("list")List<String> functionList);

}
